<?php
include("begin.php");
include($cms[tngpath] . "genlib.php");
if(!$personID) exit;
$textpart = "getperson";
include($cms[tngpath] . "getlang.php");
include($cms[tngpath] . "$mylanguage/text.php");
tng_db_connect($database_host,$database_name,$database_username,$database_password) or exit;
include($cms[tngpath] . "checklogin.php");
include($cms[tngpath] . "log.php" );
include($cms[tngpath] . "personlib.php" );

$showheadstone_url = getURL( "showheadstone", 1 );
$getperson_url = getURL( "getperson", 1 );
$familygroup_url = getURL( "familygroup", 1 );
$showsource_url = getURL( "showsource", 1 );
$showtree_url = getURL( "showtree", 1 );
$placesearch_url = getURL( "placesearch", 1 );
$tentedit_url = getURL( "tentedit", 1 );

$citations = array();
$citedisplay = array();
$citestring = array();
$citationctr = 0;
$citedispctr = 0;
$firstsection = 1;
$firstsectionsave = "";
$tableid = "";
$cellnumber = 0;

$indnotes = getNotes( $personID, "I" );
getCitations( $personID );
$stdex = getStdExtras( $personID );

$query = "SELECT *, DATE_FORMAT(changedate,\"%d %b %Y %H:%i:%s\") as changedate, $people_table.gedcom as gedcom, disallowgedcreate, IF(birthdatetr !='0000-00-00',YEAR(birthdatetr),YEAR(altbirthdatetr)) as birth, IF(deathdatetr !='0000-00-00',YEAR(deathdatetr),YEAR(burialdatetr)) as death
	FROM $people_table, $trees_table WHERE personID = \"$personID\" AND $people_table.gedcom = \"$tree\" AND $people_table.gedcom = $trees_table.gedcom";
$result = mysql_query($query) or die ("$text[cannotexecutequery]: $query");
if( !mysql_num_rows($result) ) {
	mysql_free_result($result);
	header( "Location: thispagedoesnotexist.html" );
}

$row = mysql_fetch_assoc($result);
$rightbranch = checkbranch( $row[branch] ) ? 1 : 0;
$row[allow_living] = !$row[living] || $livedefault == 2 || ( $allow_living && $rightbranch ) ? 1 : 0;
if( !$rightbranch ) {
	$tentative_edit = "";
	$allow_lds = "";
}
$namestr = getName( $row );
$logname = $nonames && $row[living] ? $text[living] : $namestr;
$disallowgedcreate = $row[disallowgedcreate];
$treestr = "<a href=\"$showtree_url" . "tree=$tree\">$row[treename]</a>";
if( $row[branch] ) {
	//explode on commas
	$branches = explode(",",$row[branch]);
	$count = 0;
	$branchstr = "";
	foreach($branches as $branch) {
		$count++;
		$brquery = "SELECT description FROM $branches_table WHERE branch = \"$branch\" and gedcom = \"$tree\"";
		$brresult = mysql_query($brquery) or die ("$text[cannotexecutequery]: $brquery");
		$brrow = mysql_fetch_assoc($brresult);
		$branchstr .= $brrow[description] ? $brrow[description] : $branch;
		if($count < count($branches))
			$branchstr .= ", ";
		mysql_free_result($brresult);
	}
	if( $branchstr )
		$treestr = $treestr . " | $branchstr";
}
mysql_free_result($result);

$indmedia = getMedia($row,"I");

writelog( "<a href=\"$getperson_url" . "personID=$personID&amp;tree=$tree\">" . xmlcharacters("$text[indinfofor] $logname ($personID)") . "</a>" );

$flags[tabs] = $tngconfig[tabs];

// modified for Wiki Integration Support B. McFadyen vvvvvvvv ---------
	if( $row[allow_living] ) {
		tng_header( "$namestr b.$row[birthdate] $row[birthplace] d.$row[deathdate] $row[deathplace]", $flags );
	} else {
		tng_header( "$namestr", $flags );
	}
	$holdname = $namestr;
// modified for Wiki Integration Support B. McFadyen ^^^^^^^^ ---------

	$photostr = showSmallPhoto( $personID, $namestr, $row[allow_living], 0 );
	if( $row[allow_living] ) {
		$citekey = $personID . "_";
		$cite = reorderCitation( $citekey );
		$citekey = $personID . "_NAME";
		$cite2 .= reorderCitation( $citekey );
		if( $cite2 )
			$cite .= $cite ? ", $cite2" : $cite2;
		if( $cite )
			 $namestr .= "<sup><span class=\"normal\">[$cite]</span></sup>";
	}
	// Added line for Wiki Integration support - B. McFadyen
	$allname = $namestr . linkWiki("People", "$holdname - $personID");
	echo tng_DrawHeading( $photostr, $allname, getYears( $row ) );
	
	echo tng_coreicons();
	
	$persontext = "";
	$persontext .= "<ul style=\"margin-left: 0px; padding-left: 0;\">\n";

	if( $tng_extras ) {
		$media = "";
		$tableid = "media";
		$cellnumber = 0;
		foreach( $mediatypes as $mediatype ) {
			$mediatypeID = $mediatype[ID];
			$newmedia = writeMedia( $indmedia, $mediatypeID );
			if( $newmedia ) {
				$media .= $newmedia;
				$media .= showBreak();
			}
		}
		if( $media ) {
			$persontext .= beginSection("media");
			$persontext .= "<table border=\"0\" cellspacing=\"1\" cellpadding=\"4\" width=\"100%\">\n";
			$persontext .= $media;
			$persontext .= "</table>\n";
			$persontext .= endSection("media");
		}
	}

	$persontext .= beginSection("info");
	$persontext .= "<table border=\"0\" cellspacing=\"1\" cellpadding=\"4\" width=\"100%\">\n";
	resetEvents();
	if($row[allow_living] ) {
		if( $row[title] )
			$persontext .= showEvent( array( "text"=>$text[title], "fact"=>$row[title], "event"=>"TITL", "entity"=>$personID, "type"=>"I" ) );
		if( $row[suffix] ) 
			$persontext .= showEvent( array( "text"=>$text[suffix], "fact"=>$row[suffix], "event"=>"NSFX", "entity"=>$personID, "type"=>"I" ) );
		if( $row[nickname] ) 
			$persontext .= showEvent( array( "text"=>$text[nickname], "fact"=>$row[nickname], "event"=>"NICK", "entity"=>$personID, "type"=>"I" ) );
		setEvent( array( "text"=>$text[born], "fact"=>$stdex[BIRT], "date"=>$row[birthdate], "place"=>$row[birthplace], "event"=>"BIRT", "entity"=>$personID, "type"=>"I" ), $row[birthdatetr] );
		setEvent( array( "text"=>$text[christened], "fact"=>$stdex[CHR], "date"=>$row[altbirthdate], "place"=>$row[altbirthplace], "event"=>"CHR", "entity"=>$personID, "type"=>"I" ), $row[altbirthdatetr] );
	}
	if ( $row[sex] == "M" ) { 
		$sex = $text[male]; $spouse = "wife"; $self = "husband"; $spouseorder = "husborder";
	}
	else if ($row[sex] == "F" ) { 
		$sex = $text[female]; $spouse = "husband"; $self = "wife"; $spouseorder = "wifeorder";
	}
	else { 
		$sex = $text[unknown];   $spouseorder = "";
	}
	setEvent( array( "text"=>$text[gender], "fact"=>$sex ), $nodate );
	
	if( $row[allow_living] ) {
		if( $allow_lds ) {
			setEvent( array( "text"=>$text[baptizedlds], "fact"=>$stdex[BAPL], "date"=>$row[baptdate], "place"=>$row[baptplace], "event"=>"BAPL", "entity"=>$personID, "type"=>"I" ), $row[baptdatetr] );
			setEvent( array( "text"=>$text[endowedlds], "fact"=>$stdex[ENDL], "date"=>$row[endldate], "place"=>$row[endlplace], "event"=>"ENDL", "entity"=>$personID, "type"=>"I" ), $row[endldatetr] );
		}
	
		//do custom events
		$query = "SELECT display, eventdate, eventdatetr, eventplace, age, agency, cause, addressID, info, tag, description, eventID FROM $events_table, $eventtypes_table WHERE persfamID = \"$personID\" AND $events_table.eventtypeID = $eventtypes_table.eventtypeID AND gedcom = \"$tree\" AND keep = \"1\" AND parenttag = \"\" ORDER BY ordernum, tag, description, eventdatetr, info, eventID";
		$custevents = mysql_query($query) or die ("$text[cannotexecutequery]: $query");
		while ( $custevent = mysql_fetch_assoc( $custevents ) )	{
			$displayval = getEventDisplay( $custevent[display] );
			$eventID = $custevent[eventID];
			$key = "cust$eventID";
			$fact = array();
			if( $custevent[info] ) {
				$fact = checkXnote( $custevent[info] );
				if( $fact[1] ) {
					$xnote = $fact[1];
					array_pop( $fact );
				}
			}
			$extras = getFact( $custevent );
			$fact = ( count( $fact ) && $fact[0] != "" ) ? array_merge( $fact, $extras ) : $extras;
			setEvent( array( "text"=>$displayval, "date"=>$custevent[eventdate], "place"=>$custevent[eventplace], "fact"=>$fact, "xnote"=>$xnote, "event"=>$eventID, "entity"=>$personID, "type"=>"I" ), $custevent[eventdatetr] );
		}
		mysql_free_result( $custevents );

		setEvent( array( "text"=>$text[died], "fact"=>$stdex[DEAT], "date"=>$row[deathdate], "place"=>$row[deathplace], "event"=>"DEAT", "entity"=>$personID, "type"=>"I" ), $row[deathdatetr] );
		setEvent( array( "text"=>$text[buried], "fact"=>$stdex[BURI], "date"=>$row[burialdate], "place"=>$row[burialplace], "event"=>"BURI", "entity"=>$personID, "type"=>"I" ), $row[burialdatetr] );
	}

	ksort( $events );
	foreach( $events as $event )
		$persontext .= showEvent( $event );

	$query = "SELECT passocID, relationship FROM $assoc_table WHERE gedcom = \"$tree\" AND personID = \"$personID\"";
	$assocresult = mysql_query($query) or die ("$text[cannotexecutequery]: $query");
	while($assoc = mysql_fetch_assoc( $assocresult ) ) {
		$persontext .= showEvent( array( "text"=>$text[association], "fact"=>formatAssoc($assoc) ) );
	}
	mysql_free_result( $assocresult );

	$persontext .= showEvent( array( "text"=>$text[personid], "date"=>$personID, "place"=>$treestr, "np"=>1  ) );
	if( $row[changedate] || ( $allow_edit && $rightbranch ) ) {
		$row[changedate] = displayDate( $row[changedate] );
		if( $allow_edit && $rightbranch ) {
			if( $row[changedate] ) $row[changedate] .= " | ";
			$row[changedate] .= "<a href=\"$cms[tngpath]" . "admin/editperson.php?personID=$personID&amp;tree=$tree\" target=\"_blank\">$text[edit]</a>";
		}
		$persontext .= showEvent( array( "text"=>$text[lastmodified], "fact"=>$row[changedate] ) );
	}
	$persontext .= showBreak();

	//do parents
	$query = "SELECT personID, familyID, sealdate, sealplace, relationship FROM $children_table WHERE personID = \"$personID\" AND gedcom = \"$tree\" ORDER BY parentorder";
	$parents = mysql_query($query) or die ("$text[cannotexecutequery]: $query");
	
	if ( $parents && mysql_num_rows( $parents ) ) {
		while ( $parent = mysql_fetch_assoc( $parents ) )
		{
			getCitations( $personID . "::" . $parent[familyID] );
			$query = "SELECT personID, lastname, lnprefix, firstname, suffix, nameorder, birthdate, birthplace, altbirthdate, altbirthplace, $people_table.living, $people_table.branch FROM $people_table, $families_table WHERE $people_table.personID = $families_table.husband AND $families_table.familyID = \"$parent[familyID]\" AND $people_table.gedcom = \"$tree\" AND $families_table.gedcom = \"$tree\"";
			$gotfather = mysql_query($query) or die ("$text[cannotexecutequery]: $query");
	
		     if( $gotfather ) { 		
				$fathrow =  mysql_fetch_assoc( $gotfather );
				$birthinfo = getBirthInfo( $fathrow );
				$fathrow[allow_living] = !$fathrow[living] || $livedefault == 2 || ( $allow_living && checkbranch( $fathrow[branch] ) ) ? 1 : 0;
				if( $fathrow[firstname] || $fathrow[lastname] ) {
					$fathname = getName( $fathrow );
					// added for Wiki Integration support - B. McFadyen
					$wikiname = linkWiki("People","$fathname - $fathrow[personID]");
					$fatherlink = "<a href=\"$getperson_url" . "personID=$fathrow[personID]&amp;tree=$tree\">$fathname</a>$wikiname";
				}
				else
					$fatherlink = "";
				if( $fathrow[allow_living] ) $fatherlink .= $birthinfo;
				$persontext .= showEvent( array( "text"=>$text[father], "fact"=>$fatherlink ) );
				mysql_free_result( $gotfather );
			}

			$query = "SELECT personID, lastname, lnprefix, firstname, suffix, nameorder, birthdate, birthplace, altbirthdate, altbirthplace, $people_table.living, $people_table.branch FROM $people_table, $families_table WHERE $people_table.personID = $families_table.wife AND $families_table.familyID = \"$parent[familyID]\" AND $people_table.gedcom = \"$tree\" AND $families_table.gedcom = \"$tree\"";
			$gotmother = mysql_query($query) or die ("$text[cannotexecutequery]: $query");

			if( $gotmother ) {
				$mothrow =  mysql_fetch_assoc( $gotmother );
				$birthinfo = getBirthInfo( $mothrow );
				$mothrow[allow_living] = !$mothrow[living] || $livedefault == 2 || ( $allow_living && checkbranch( $mothrow[branch] ) ) ? 1 : 0;
				if( $mothrow[firstname] || $mothrow[lastname] ) {
					$mothname = getName( $mothrow );
					// added for Wiki Integration support - B. McFadyen
					$wikiname = linkWiki("People","$mothname - $mothrow[personID]");
					$motherlink = "<a href=\"$getperson_url" . "personID=$mothrow[personID]&amp;tree=$tree\">$mothname</a>$wikiname";
				}
				else
					$motherlink = "";
				if( $mothrow[allow_living] ) $motherlink .= $birthinfo;
				$persontext .= showEvent( array( "text"=>$text[mother], "fact"=>$motherlink ) );
				mysql_free_result( $gotmother );
			}

			if( $row[allow_living] && $parent[relationship] )
				$persontext .= showEvent( array( "text"=>$text[relationship], "fact"=>$parent[relationship] ) );
			if( $row[allow_living] && $allow_lds )
				$persontext .= showEvent( array( "text"=>$text[sealedplds], "date"=>$parent[sealdate], "place"=>$parent[sealplace], "event"=>"SLGC", "entity"=>"$personID::$parent[familyID]", "type"=>"C" ) );

			$query = "SELECT living, branch FROM $families_table WHERE $families_table.familyID = \"$parent[familyID]\" AND $families_table.gedcom = \"$tree\"";
			$gotparents = mysql_query($query) or die ("$text[cannotexecutequery]: $query");
			$parentrow =  mysql_fetch_assoc( $gotparents );
   			mysql_free_result($gotparents);
			$parent[personID] = "";
			$rightfbranch = checkbranch( $parentrow[branch] ) ? 1 : 0;
			$parent[allow_living] = !$parentrow[living] || $livedefault == 2 || ( $allow_living && $rightfbranch ) ? 1 : 0;
			$fammedia = getMedia($parent,"F");
			foreach( $mediatypes as $mediatype ) {
				$mediatypeID = $mediatype[ID];
				$persontext .= writeMedia( $fammedia, $mediatypeID );
			}

			$persontext .= showEvent( array( "text"=>$text[familyid], "date"=>$parent[familyID], "place"=>"<a href=\"$familygroup_url" . "familyID=$parent[familyID]&amp;tree=$tree\">$text[groupsheet]</a>", "np"=>1 ) );
			$persontext .= showBreak();
		}
		mysql_free_result($parents);
	}

	//do marriages
	if( $spouseorder )
		$query = "SELECT $spouse, familyID, living, branch, marrdate, marrdatetr, marrplace, marrtype, divdate, divdatetr, divplace, sealdate, sealdatetr, sealplace, DATE_FORMAT(changedate,\"%d %b %Y %H:%i:%s\") as changedate FROM $families_table WHERE $families_table.$self = \"$personID\" AND gedcom = \"$tree\" ORDER BY $spouseorder";
	else
		$query = "SELECT husband, wife, familyID, living, branch, marrdate, marrdatetr, marrplace, marrtype, divdate, divdatetr, divplace, sealdate, sealdatetr, sealplace, DATE_FORMAT(changedate,\"%d %b %Y %H:%i:%s\") as changedate FROM $families_table WHERE ($families_table.husband = \"$personID\" OR $families_table.wife = \"$personID\") AND gedcom = \"$tree\"";
	$marriages= mysql_query($query) or die ("$text[cannotexecutequery]: $query");
	$marrtot = mysql_num_rows($marriages);
	if( !$marrtot ) {
		$query = "SELECT husband, wife, familyID, living, branch, marrdate, marrdatetr, marrplace, marrtype, divdate, divdatetr, divplace, sealdate, sealdatetr, sealplace, DATE_FORMAT(changedate,\"%d %b %Y\") as changedate FROM $families_table WHERE ($families_table.husband = \"$personID\" OR $families_table.wife = \"$personID\") AND gedcom = \"$tree\"";
		$marriages= mysql_query($query) or die ("$text[cannotexecutequery]: $query");
		$marrtot = mysql_num_rows($marriages);
		$spouseorder = 0;
	}
	$marrcount = 1;
	
	while ( $marriagerow =  mysql_fetch_assoc( $marriages ) )
	{
		$famnotes = getNotes( $marriagerow[familyID], "F" );
		getCitations( $marriagerow[familyID] );
		$stdexf = getStdExtras( $marriagerow[familyID] );
		if( $marriagerow[marrtype] ) {
			if( !is_array( $stdexf[MARR] ) ) $stdexf[MARR] = array();
			array_unshift( $stdexf[MARR], "$text[type]: $marriagerow[marrtype]" );
		}

		if( !$spouseorder )
			$spouse = $marriagerow[husband] == $personID ? wife : husband;
		unset($spouserow);
		unset($birthinfo);
		if( $marriagerow[$spouse] ) {
			$query = "SELECT personID, lastname, lnprefix, firstname, suffix, nameorder, birthdate, birthplace, altbirthdate, altbirthplace, living, branch FROM $people_table WHERE personID = \"$marriagerow[$spouse]\" AND gedcom = \"$tree\"";
			$spouseresult= mysql_query($query) or die ("$text[cannotexecutequery]: $query");
			$spouserow =  mysql_fetch_assoc( $spouseresult );
			$birthinfo = getBirthInfo( $spouserow );
			$spouserow[allow_living] = !$spouserow[living] || $livedefault == 2 || ( $allow_living && checkbranch( $spouserow[branch] ) ) ? 1 : 0;
			if( $spouserow[firstname] || $spouserow[lastname] ) {
				$spousename = getName( $spouserow );
				// added for Wiki Integration support - B. McFadyen
				$wikiname = linkWiki("People","$spousename - $spouserow[personID]");								$spouselink = "<a href=\"$getperson_url" . "personID=$spouserow[personID]&amp;tree=$tree\">$spousename</a>$wikiname";
			}
			if( $spouserow[allow_living] ) $spouselink .= $birthinfo;
		}
		else
			$spouselink = "";
		$marrstr = $marrtot > 1 ? " $marrcount" : "";
		if( $spouserow[allow_living] )
			$persontext .= showEvent( array( "text"=>"$text[family]$marrstr", "fact"=>$spouselink, "entity"=>$marriagerow[familyID], "type"=>"F" ) );
		else
			$persontext .= showEvent( array( "text"=>"$text[family]$marrstr", "fact"=>$spouselink ) );

		$rightfbranch = checkbranch( $marriagerow[branch] ) ? 1 : 0;
		$marriagerow[allow_living] = !$marriagerow[living] || $livedefault == 2 || ( $allow_living && $rightfbranch ) ? 1 : 0;
		$fammedia = getMedia($marriagerow,"F");
		if( $marriagerow[allow_living] ) {
			resetEvents();

			setEvent( array( "text"=>$text[married], "fact"=>$stdexf[MARR], "date"=>$marriagerow[marrdate], "place"=>$marriagerow[marrplace], "event"=>"MARR", "entity"=>$marriagerow[familyID], "type"=>"F" ), $marriagerow[marrdatetr] );
			setEvent( array( "text"=>$text[divorced], "fact"=>$stdexf[DIV], "date"=>$marriagerow[divdate], "place"=>$marriagerow[divplace], "event"=>"DIV", "entity"=>$marriagerow[familyID], "type"=>"F" ), $marriagerow[divdatetr] );
	
			if( $allow_lds ) {
				setEvent( array( "text"=>$text[sealedslds], "fact"=>$stdexf[SLGS], "date"=>$marriagerow[sealdate], "place"=>$marriagerow[sealplace], "event"=>"SLGS", "entity"=>$marriagerow[familyID], "type"=>"F" ), $marriagerow[sealdatetr] );
			}
		
			$query = "SELECT display, eventdate, eventdatetr, eventplace, age, agency, cause, addressID, info, tag, description, eventID FROM $events_table, $eventtypes_table WHERE persfamID = \"$marriagerow[familyID]\" AND $events_table.eventtypeID = $eventtypes_table.eventtypeID AND gedcom = \"$tree\" AND keep = \"1\" AND parenttag = \"\" ORDER BY ordernum, tag, description, eventdatetr, info, eventID";
			$custevents = mysql_query($query) or die ("Cannot execute $query query");
			while ( $custevent = mysql_fetch_assoc( $custevents ) ) {
				$displayval = getEventDisplay( $custevent[display] );
				$eventID = $custevent[eventID];
				$key = "cust$eventID";
				$fact = array();
				if( $custevent[info] ) {
					$fact = checkXnote( $custevent[info] );
					if( $fact[1] ) {
						$xnote = $fact[1];
						array_pop( $fact );
					}
				}
				$extras = getFact( $custevent );
				$fact = ( count( $fact ) && $fact[0] != "" ) ? array_merge( $fact, $extras ) : $extras;
				setEvent( array( "text"=>$displayval, "date"=>$custevent[eventdate], "place"=>$custevent[eventplace], "fact"=>$fact, "xnote"=>$xnote, "event"=>$eventID, "entity"=>$marriagerow[familyID], "type"=>"F" ), $custevent[eventdatetr] );
			}
			mysql_free_result( $custevents );
		
			ksort( $events );
			foreach( $events as $event )
				$persontext .= showEvent( $event );

			$famnotes2 = "";
			if( !$notestogether )
				$famnotes2 = buildNotes( $famnotes, $marriagerow[familyID] );
			else
				$famnotes2 = buildGenNotes( $famnotes, $marriagerow[familyID], "--x-general-x--" );

			if( $famnotes2 ) { 
				$persontext .= "<tr>\n";
				$persontext .= "<td valign=\"top\" class=\"fieldnameback\" nowrap><span class=\"fieldname\">$text[notes]&nbsp;</span></td>\n";
				$persontext .= "<td valign=\"top\" class=\"databack\" colspan=\"2\"><span class=\"normal\">$famnotes2</span></td>\n";
				$persontext .= "</tr>\n";
			}
		}
		$marrcount++;
	
		//do children
		$query = "SELECT $people_table.personID as pID, firstname, lnprefix, lastname, suffix, nameorder, birthdate, birthplace, altbirthdate, altbirthplace, haskids, living, branch FROM $people_table, $children_table WHERE $people_table.personID = $children_table.personID AND $children_table.familyID = \"$marriagerow[familyID]\" AND $people_table.gedcom = \"$tree\" AND $children_table.gedcom = \"$tree\" ORDER BY ordernum";
		$children= mysql_query($query) or die ("$text[cannotexecutequery]: $query");

		if( $children && mysql_num_rows( $children ) ) {
			$persontext .= "<tr>\n";
			$persontext .= "<td valign=\"top\" class=\"fieldnameback\"><span class=\"fieldname\">$text[children]&nbsp;</span></td>\n";
			$persontext .= "<td colspan=\"2\" valign=\"top\" class=\"databack\">\n";

			$kidcount = 1;
			$persontext .= "<table cellpadding = \"0\" cellspacing = \"0\">\n";
			while ( $child =  mysql_fetch_assoc( $children ) )
			{
				$ifkids = $child[haskids] ? "&gt;" : "&nbsp;";
				$birthinfo = getBirthInfo( $child );
				$child[allow_living] = !$child[living] || $livedefault == 2 || ( $allow_living && checkbranch( $child[branch] ) ) ? 1 : 0;
				if( $child[firstname] || $child[lastname] ) {
					$childname = getName( $child );
				  // added for Wiki Integration support - B. McFadyen
					$wikiname = linkWiki("People","$childname - $child[pID]");					$persontext .= "<tr><td valign=\"top\">$ifkids</td><td><span class=\"normal\">$kidcount. <a href=\"$getperson_url" . "personID=$child[pID]&amp;tree=$tree\">$childname</a>$wikiname";
					if( $child[allow_living] ) $persontext .= $birthinfo;
					$persontext .= "</span></td></tr>\n";
					$kidcount++;
				}
			}
			$persontext .= "</table>\n";
			$persontext .= "</td>\n";
			$persontext .= "</tr>\n";

			mysql_free_result( $children );
		}

		foreach( $mediatypes as $mediatype ) {
			$mediatypeID = $mediatype[ID];
			$persontext .= writeMedia( $fammedia, $mediatypeID );
		}

		if( $marriagerow[changedate] || ( $allow_edit && $rightfbranch ) ) {
			$marriagerow[changedate] = displayDate( $marriagerow[changedate] );
			if( $allow_edit && $rightfbranch ) {
				if( $marriagerow[changedate] ) $marriagerow[changedate] .= " | ";
				$marriagerow[changedate] .= "<a href=\"$cms[tngpath]" . "admin/editfamily.php?familyID=$marriagerow[familyID]&amp;tree=$tree&amp;cw=1\" target=\"_blank\">$text[edit]</a>";
			}
			$persontext .= showEvent( array( "text"=>$text[lastmodified], "fact"=>$marriagerow[changedate] ) );
		}
		$persontext .= showEvent( array( "text"=>$text[familyid], "date"=>$marriagerow[familyID], "place"=>"<a href=\"$familygroup_url" . "familyID=$marriagerow[familyID]&amp;tree=$tree\">$text[groupsheet]</a>", "np"=>1 ) );
		$persontext .= showBreak();
	}
	mysql_free_result($marriages);
	
	$persontext .= "</table>\n";
	$persontext .= endSection("info");

	if( !$tng_extras ) {
		$media = "";
		$tableid = "media";
		$cellnumber = 0;
		foreach( $mediatypes as $mediatype ) {
			$mediatypeID = $mediatype[ID];
			$newmedia = writeMedia( $indmedia, $mediatypeID );
			if( $newmedia ) {
				$media .= $newmedia;
				$media .= showBreak();
			}
		}
		if( $media ) {
			$persontext .= beginSection("media");
			$persontext .= "<table border=\"0\" cellspacing=\"1\" cellpadding=\"4\" width=\"100%\">\n";
			$persontext .= $media;
			$persontext .= "</table>\n";
			$persontext .= endSection("media");
		}
	}

	if( $row[allow_living] ) {
		if( !$notestogether )
			$notes = buildNotes( $indnotes, $personID );
		else
			$notes = buildGenNotes( $indnotes, $personID, "--x-general-x--,NAME" );

		if( $notes ) {
			$persontext .= beginSection("notes");
			$persontext .= "<table border=\"0\" cellspacing=\"1\" cellpadding=\"4\" width=\"100%\">\n";
			$persontext .= "<tr>\n";
			$persontext .= "<td valign=\"top\" class=\"fieldnameback\" nowrap id=\"notes1\"><span class=\"fieldname\">$text[notes]&nbsp;</span></td>\n";
			$persontext .= "<td valign=\"top\" class=\"databack\" colspan=\"2\">$notes</td>\n";
			$persontext .= "</tr>\n";
			$persontext .= showBreak();
			$persontext .= "</table>\n";
			$persontext .= endSection("notes");
		}
	}
	elseif( $row[living] ) { 
		$notes = 1;
		$persontext .= beginSection("notes");
		$persontext .= "<table border=\"0\" cellspacing=\"1\" cellpadding=\"4\" width=\"100%\">\n";
		$persontext .= "<tr>\n";
		$persontext .= "<td valign=\"top\" class=\"fieldnameback\" nowrap id=\"notes1\"><span class=\"fieldname\">$text[notes]&nbsp;</span></td>\n";
		$persontext .= "<td valign=\"top\" class=\"databack\" colspan=\"2\"><span class=\"normal\">$text[livingnote]</span></td>\n";
		$persontext .= "</tr>\n";
		$persontext .= showBreak();
		$persontext .= "</table>\n";
		$persontext .= endSection("notes");
	}
	
	if( $citedispctr ) {
		$persontext .= beginSection("citations");
		$persontext .= "<table border=\"0\" cellspacing=\"1\" cellpadding=\"4\" width=\"100%\">\n";
		$persontext .= "<tr>\n";
		$persontext .= "<td valign=\"top\" class=\"fieldnameback\" name=\"citations1\" id=\"citations1\"><a name=\"sources\"><span class=\"fieldname\">$text[sources]&nbsp;</span></td>\n";
		$persontext .= "<td valign=\"top\" class=\"databack\" colspan=\"2\"><ol class=\"normal\" style=\"margin-left:30px;margin-top: 0px; margin-bottom: 0px;\">";
		$citectr = 1;
		foreach( $citestring as $cite ) {
			$persontext .= "<li class=\"normal\"><a name=\"cite$citectr\"></a><span style=\"position:relative;left:-4px\">$cite<br />";
			$count = count($citestring);
			if( $citectr < count($citestring) )
				$persontext .= "<br />";
			$persontext .= "</span></li>\n";
			$citectr++;
		}
		$persontext .= "</ol></td>\n";
		$persontext .= "</tr>\n";
		$persontext .= "</table>\n";
		$persontext .= endSection("citations");
	}
	$persontext .= "</ul>\n";

	$tng_alink = $tng_plink = $tng_mlink = "lightlink";
	if( $media || $notes || $citedispctr ) {
		if( $tngconfig[istart] ) {
			if( $tng_extras )
				$tng_mlink = "lightlink3";
			else
				$tng_plink = "lightlink3";
		}
		else
			$tng_alink = "lightlink3";
		$innermenu = "<a href=\"#\" class=\"$tng_plink\" onClick=\"return infoToggle('info');\" id=\"tng_plink\">$text[persinfo]</a> &nbsp;&nbsp; | &nbsp;&nbsp; \n";
		if( $media )
			$innermenu .= "<a href=\"#\" class=\"$tng_mlink\" onClick=\"return infoToggle('media');\" id=\"tng_mlink\">$text[media]</a> &nbsp;&nbsp; | &nbsp;&nbsp; \n";
		if( $notes )
			$innermenu .= "<a href=\"#\" class=\"lightlink\" onClick=\"return infoToggle('notes');\" id=\"tng_nlink\">$text[notes]</a> &nbsp;&nbsp; | &nbsp;&nbsp; \n";
		if( $citedispctr )
			$innermenu .= "<a href=\"#\" class=\"lightlink\" onClick=\"return infoToggle('citations');\" id=\"tng_clink\">$text[sources]</a> &nbsp;&nbsp; | &nbsp;&nbsp; \n";
		$innermenu .= "<a href=\"#\" class=\"$tng_alink\" onClick=\"return infoToggle('all');\" id=\"tng_alink\">$text[all]</a>\n";
	}
	else
		$innermenu = "<span class=\"lightlink3\" id=\"tng_plink\">$text[persinfo]</span>\n";

	echo tng_menu( "I", "person", $personID, $innermenu );
?>
<SCRIPT language="JavaScript" type="text/javascript">
function innerToggle(part,subpart,subpartlink) {
	if( part == subpart )
		turnOn(subpart,subpartlink);
	else
		turnOff(subpart,subpartlink);
}

function turnOn(subpart,subpartlink) {
	document.getElementById(subpartlink).className = 'lightlink3';
	document.getElementById(subpart).style.display = "";
}

function turnOff(subpart,subpartlink) {
	document.getElementById(subpartlink).className = 'lightlink';
	document.getElementById(subpart).style.display = "none";
}

function infoToggle(part) {
	if( part == "all" ) {
		document.getElementById("info").style.display = "";
<?php
	if( $media ) {
		echo "document.getElementById(\"media\").style.display = \"\";\n";
		echo "document.getElementById(\"tng_mlink\").className = 'lightlink';\n";
	}
	if( $notes ) {
		echo "document.getElementById(\"notes\").style.display = \"\";\n";
		echo "document.getElementById(\"tng_nlink\").className = 'lightlink';\n";
	}
	if( $citedispctr ) {
		echo "document.getElementById(\"citations\").style.display = \"\";\n";
		echo "document.getElementById(\"tng_clink\").className = 'lightlink';\n";
	}
?>
		document.getElementById("tng_alink").className = 'lightlink3';
		document.getElementById("tng_plink").className = 'lightlink';
	}
	else {	
		innerToggle(part,"info","tng_plink");
<?php
	if( $media )
		echo "innerToggle(part,\"media\",\"tng_mlink\");\n";
	if( $notes )
		echo "innerToggle(part,\"notes\",\"tng_nlink\");\n";
	if( $citedispctr )
		echo "innerToggle(part,\"citations\",\"tng_clink\");\n";
?>
		document.getElementById("tng_alink").className = 'lightlink';
	}
	return false;
}
</script>

<?php
	echo $persontext;
?>
<br/>

<?php
$flags[more] = "\n<script language=\"JavaScript\" type=\"text/javascript\">
var elementcw;
if( document.getElementById('info1') ) 
	elementcw = document.getElementById('info1').clientWidth;
else
	elementcw = document.getElementById('$firstsectionsave" . "1').clientWidth;
if( !elementcw ) {
	elementcw = 100;
	elementcwadj = 92;
	if( document.getElementById('info1') ) 
		document.getElementById('info1').width = elementcw;
}
else
	elementcwadj = elementcw - 8;\n";
if( $media )
	$flags[more] .= "document.getElementById('media1').width = elementcwadj;\n";
if( $notes )
	$flags[more] .= "document.getElementById('notes1').width = elementcwadj;\n";
if( $citedispctr )
	$flags[more] .= "document.getElementById('citations1').width = elementcwadj;\n";

$flags[more] .= "</script>";
tng_footer( $flags );
?>
